import './assets/css/main.css'
import './assets/css/nprogress-custom.css'
import './assets/css/nprogress-fix.css'

import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import { setupNProgress } from './plugins/nprogress'
import { createHead } from '@vueuse/head'

const app = createApp(App)
const head = createHead()

app.use(router)
app.use(head)

setupNProgress(router)

app.mount('#app')
